<mat-drawer-container autosize>
  <mat-drawer #drawer mode="side">
    <mat-selection-list [multiple]="false">
      <mat-list-option [routerLink]="['/add-note']" [selected]="router.url === '/add-note'">
        Add note
      </mat-list-option>
    </mat-selection-list>
  </mat-drawer>
  <mat-toolbar>
    <button mat-icon-button (click)="drawer.toggle()">
      <mat-icon>menu</mat-icon>
    </button>
    <span>Note Sharing App</span>
  </mat-toolbar>
  <div class="page-container">
    <router-outlet></router-outlet>
  </div>
</mat-drawer-container>
